/** FORM **/

.un-transportadora
{
    display: flex;
    align-items: flex-end;
}

.un-transportadora #acTransportadora
{
    width: 100%;
}

.un-transportadora #opGrupo
{
    width: auto;
    display: flex;
    align-items: center;

    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    
    box-shadow: inset -1px 0 0 0 #c5d0e1, 0 0 0 0 #c5d0e1, inset 0 -1px 0 0 #c5d0e1, inset 0 2px 0 0 #afcef3;
}

.un-transportadora #opGrupo input:focus
{
    outline: 2px solid #20cbd3 !important;
}

.un-transportadora #opGrupo input:checked
{
    background: #20cbd3;
}

.un-transportadora:focus-within #opGrupo
{
    box-shadow: inset -1px 0 0 0 #20cbd3, inset 0 0 0 0 #20cbd3, inset 0 -1px 0 0 #20cbd3, inset 0 2px 0 0 #20cbd3 ;
}

.un-transportadora:focus-within #acTransportadora input
{
    box-shadow: inset 0 0 0 0 #20cbd3, inset 1px 0 0 0 #20cbd3, inset 0 -1px 0 0 #20cbd3, inset 0 2px 0 0 #20cbd3;
}

.un-transportadora #acTransportadora input
{
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    box-shadow: inset 0 0 0 0 #c5d0e1, -1px 0 0 0 #c5d0e1, inset 0 -1px 0 0 #c5d0e1, inset 0 2px 0 0 #afcef3;
}

.un-transportadora #opGrupo input,
.un-transportadora #opGrupo label
{
    margin: 0 !important;
    padding: 0 !important;
}

.un-transportadora #opGrupo input
{
    margin-right: 5px !important;
}

.gdt-button > i
{
    display: block;
    margin-right: 5px;
}

.form-inline-group
{
    display: flex;
    align-items: center;
}

.form-inline-group .form-group
{
    width: 100%;
    margin-bottom: 5px;
}

.form-inline-group .form-group:not(:last-child)
{
    margin-right: 10px;
}

.default-theme input
{
    color: #95a3b7;
    font: 14px 'proximaNova' !important;

    width: 100%;
    height: 40px;
    position: relative;
    border: 0;
    border-radius: 2px;
    padding: 0 30px 0 15px;
    background-color: #fff;
    box-shadow: inset -1px 0 0 0 #c5d0e1, inset 0 -1px 0 0 #c5d0e1, inset 1px 0 0 0 #c5d0e1, inset 0 2px 0 0 #afcef3;
}

.default-theme input:focus
{
    color: #3b495e;
    background-color: #ffffff;
    box-shadow: inset -1px 0 0 0 #20cbd3, inset 0 -1px 0 0 #20cbd3, inset 1px 0 0 0 #20cbd3, inset 0 2px 0 0 #20cbd3;
}

.gdt-switch
{
    display: inline-flex;
    align-items: center;
    margin: 0;

    font-size: 14px;
}

.gdt-switch .md-bar
{
    background: #ebebeb;
    border: solid 1px #bebebe;
}

.gdt-switch.md-checked .md-bar
{
    background: #E7F0F7 !important;
    border: solid 1px #afcef3;
}

.gdt-switch .md-thumb
{
    background: #ccc;
    border: solid 1px #bbb9b9;
}

.gdt-switch.md-checked .md-thumb
{
    background: #2870b2 !important;
}

.gdt-button-bar
{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/** MODAIS **/

#modalDT, #modalChaveAcesso
{
    display: flex;
}

#modalDT #custom-modal-directive .btn.btn-default:focus,
#modalChaveAcesso #custom-modal-directive .btn.btn-default:focus
{
    box-shadow: inset -1px 0 0 0 #20cbd3, inset 0 -1px 0 0 #20cbd3, inset 1px 0 0 0 #20cbd3, inset 0 2px 0 0 #20cbd3;
}

#modalDT .modal-content .modal-body,
#modalChaveAcesso .modal-content .modal-body
{
    padding: 0 20px !important;
}

#modalDT .modal-content .modal-body *[class^="col-"],
#modalChaveAcesso .modal-content .modal-body *[class^="col-"]
{
    margin: 0;
    padding: 0 !important;
}

#modalDT .modal-content .modal-body textarea,
#modalChaveAcesso .modal-content .modal-body textarea
{
    border: 0;
    border-radius: 0px;
    box-shadow: inset -1px 0 0 0 #c5d0e1, inset 0 -1px 0 0 #c5d0e1, inset 1px 0 0 0 #c5d0e1, inset 0 2px 0 0 #afcef3;
}

#modalDT .modal-content .modal-body textarea:focus,
#modalChaveAcesso .modal-content .modal-body textarea:focus
{
    box-shadow: inset -1px 0 0 0 #20cbd3, inset 0 -1px 0 0 #20cbd3, inset 1px 0 0 0 #20cbd3, inset 0 2px 0 0 #20cbd3;
}

#modalDT .modal-content .model-footer,
#modalChaveAcesso .modal-content .model-footer
{
    padding: 15px 20px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

#modalDT .modal-content .model-footer *[class^="col-"],
#modalChaveAcesso .modal-content .model-footer *[class^="col-"]
{
    padding: 0px;
    margin: 0px;
}

#modalDT .modal-content .model-footer .btn,
#modalChaveAcesso .modal-content .model-footer .btn
{
    border-radius: 4px;
    min-width: 100px;
    height: 40px;
}

#modalDT .modal-content .model-footer .btn-success,
#modalChaveAcesso .modal-content .model-footer .btn-success
{
    background: #2870b2;
}

#modalDT .modal-content .model-footer .btn-success:hover,
#modalChaveAcesso .modal-content .model-footer .btn-success:hover
{
    background: #6197c6;
}

.modal-event-content
{
    font-size: 14px;
    margin: 15px 0;
}

.event-table
{
    width: auto;
}

.event-table .event-table-row
{
    display: flex;
    align-items: center;
}

.event-table .event-table-row .event-icon
{
    width: 50px;
    min-height: 61px;
    display: grid;
    align-items: center;
}

.event-table .event-table-row .event-start-icon,
.event-table .event-table-row .event-end-icon
{
    width: 50px;
    display: grid;
    align-items: center;
}

.success-color
{
    color: #81c784;
}

.pendent-color
{
    color: #a0a0a0;
}

.event-table .event-table-row .event-icon .fa,
.event-table .event-table-row .event-start-icon .fa,
.event-table .event-table-row .event-end-icon .fa
{
    font-size: 22px;
    grid-area: 1/1;
    justify-self: center;
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff;
}

.event-table .event-table-row .event-icon .bg-line
{
    display: block;
    grid-area: 1/1;
    justify-self: center;
    width: 5px;
    height: 100%;
    display: block;
    background: #dadada;
}

.event-table .event-table-row .event-icon .fa-check
{
    color: #00701a;
}

.event-table .event-table-row .event-icon .fa-times
{
    color: #ab000d;
}

.event-table .event-table-row .event-icon .fa-spinner
{
    color: #006db3;
}

.event-table .event-table-row .event-icon .fa-pause
{
    color: #c25e00;
}

.event-table .event-table-row .event-description
{
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
}

.event-table .event-table-row .event-description span
{
    display: block;
}

.event-row-whatever
{
    background: linear-gradient(to right, #fff, #e7e7e7);
    border-bottom: solid 1px #ccc;
}

.event-row-finished
{
    background: linear-gradient(to right, #fff, #e8f5e9);
    border-bottom: solid 1px #c8e6c9;
}

.event-description.event-row-finished
{
    color: #43a047;
}

.event-row-error
{
    background: linear-gradient(to right, #fff, #ffebee);
    border-bottom: solid 1px #ffcdd2;
}

.event-description.event-row-error
{
    color: #e53935;
}

.event-row-pending
{
    background: linear-gradient(to right, #fff, #fbe9e7);
    border-bottom: solid 1px #ffccbc;
}

.event-description.event-row-pending
{
    color: #f4511e;
}

.event-row-processing
{
    background: linear-gradient(to right, #fff, #e1f5fe);
    border-bottom: solid 1px #b3e5fc;
}

.event-description.event-row-processing
{
    color: #039be5;
}

#modalAverbacao .modal-footer
{
    padding: 15px 0;
}

/** GRID **/

.gdt-hline
{
    border-top: 1px solid #ccc;
}

.gdt-actions 
{
    margin-bottom: 10px;
}

.gdt-table th
{
    vertical-align: middle;
}

.gdt-table .gdt-grid-item
{
    width: 100%;
    display: flex;
    align-items: center;
}

.gdt-table .gdt-grid-subitem
{
    line-height: 25px;
}

.gdt-table .gdt-grid-subitem.left-pad
{
    padding-left: 10px;
}

.gdt-table .gdt-grid-subitem.right-pad
{
    padding-right: 10px;
}

.gdt-table .gdt-grid-subitem.gdt-vspacer-l
{
    border-left: solid 1px #ccc;
}

.gdt-table .gdt-grid-subitem.gdt-vspacer-r
{
    border-right: solid 1px #ccc;
}

.gdt-pagination
{
    width: 100%;
    display: block;
}

.gdt-pagination *[class^="col-"]:last-child
{
    padding-right: 0px !important;
}

.gdt-pagination .totalRegistros
{
    display: flex;
    align-items: center;
    margin: 0;
    height: 30px;
}

.gdt-pagination .totalRegistros label,
.gdt-pagination .mostrarItens label
{
    margin: 0px !important;
}

.gdt-pagination .mostrarItens {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0 15px 0 0 !important;
}

.gdt-pagination .mostrarItens select
{
    height: 30px;
    margin: 0 5px;
    border: solid 1px #DDD;
}

.gdt-pagination .pagination {
    margin: 0px !important;
}


.gdt-pagination *[class^="col-"]
{
    padding-bottom: 30px !important;
}

.gdt-pagination li.active span
{
    font-weight: bold;

    background: #2870b2;
    border-color: #2870b2 !important;
    transition: all 0.3s;
}

.gdt-pagination li.active span:hover
{
    background: #6197c6;
    border-color: #6197c6 !important;
}

.gdt-grid-button
{
    width: 35px !important;
    height: 35px !important;

    border-radius: 50% !important;
    border: solid 1px #afcef3 !important;
}

.gdt-grid-button i,
.gdt-grid-button-small i
{
    margin: 0;
}

.gdt-grid-button-small
{
    width: 25px !important;
    height: 25px !important;

    border-radius: 50% !important;
    border: solid 1px #afcef3 !important;
}

.gdt-grid-button-small i
{
    width: auto;
}

.gdt-grid-button-small.left-pad
{
    margin-left: 5px;
}

/** Badges **/

.label
{
    color: #838383;
    font-weight: bold;
    
    display: inline-block;
    min-width: 143px;
    padding: 5px 15px;
    background: #ebebeb;
    border-radius: 15px;

    transition: all 0.2s;
}

.label i
{
    display: inline-block;
    margin-left: 5px;
}

.label:hover.label-hover
{
    opacity: 0.7;
}

.clickable
{
    cursor: pointer;
}

.label-error
{
    color: #fff;
    background: #DC3545;
}

.label-success
{
    color: #FFF;
    background: #28A745;
}

.label-primary
{
    color: #FFF;
    background: #007BFF;
}

.label-alert
{
    color: #a05c02;
    background: #ffc107;
}

.label-neutral
{
    color: rgb(77, 77, 77);
    background: #CCC;
}

.label-secondary {
    color: #fff;
    background-color: #6c757d;
}

.label-light {
    color: #212529;
    background-color: #f8f9fa;
}

.gdt-center
{
    text-align: center;
}